| Home | Libraries | People | FAQ | More

## Struct template left

boost::proto::result_of::left — A metafunction that returns the type of the left child of a binary Proto expression.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename Expr>
    struct left :  proto::result_of::child_c< Expr, 0 > {
    };

## Description

`proto::result_of::left<Expr>` is equivalent to `proto::result_of::child_c<Expr, 0>`.